"""remove fields from beneficiarys

Revision ID: 4e2b8fb42d56
Revises: 141663e0a488
Create Date: 2019-05-07 15:41:01.882808

"""

# revision identifiers, used by Alembic.
revision = '4e2b8fb42d56'
down_revision = '141663e0a488'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    op.drop_column('beneficiarys', 'ri_target_percent')
    op.drop_column('beneficiarys', 'beneficiary_id')
    op.drop_column('beneficiarys', 'nuts1')
    op.drop_column('beneficiarys', 'beneficiary_name')
    op.drop_column('beneficiarys', 'oi_target_number')
    op.drop_column('beneficiarys', 'regioncategory_id')
    iter_statements(INSERTS)


def downgrade():
    op.add_column('beneficiarys', sa.Column('regioncategory_id', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('oi_target_number', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('beneficiary_name', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('nuts1', sa.VARCHAR(length=3), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('beneficiary_id', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('ri_target_percent', sa.INTEGER(), autoincrement=False, nullable=True))
    iter_statements(DELETES)
