import sqlalchemy as sa
from efa.model.outputindicator import Outputindicator
from formbar.form import Form
from ringo.model import Base
from ringo.lib.form import get_form_config



class ECOutputindicator(Outputindicator):
    """Waskiq specific Outputindicators. Adds some local fields.
    """

    ecparticipation = sa.orm.relation(
        "Participation",
        enable_typechecks=False,
        backref=sa.orm.backref("ecoi",
                               uselist=False,
                               cascade="all"))

    # Status of the outputindicators
    additional_certification1 = sa.Column('additional_certification1', sa.String,server_default='')
    additional_certification2 = sa.Column('additional_certification2', sa.String,server_default='')
    additional_certification3 = sa.Column('additional_certification3', sa.String,server_default='')
    additional_certification4 = sa.Column('additional_certification4', sa.String,server_default='')
    additional_certification5 = sa.Column('additional_certification5', sa.String,server_default='')
    additional_certification6 = sa.Column('additional_certification6', sa.String,server_default='')
    additional_qualification = sa.Column('additional_qualification', sa.String,server_default='')
    born_germany = sa.Column('born_germany', sa.Integer)
    course = sa.orm.relation("Eccourse", backref="ois")
    course_date = sa.Column('course_date', sa.Date)
    course_id = sa.Column(sa.Integer, sa.ForeignKey("eccourses.id"))
    course_name = sa.Column('course_name', sa.String, server_default='')
    course_number = sa.Column('course_number', sa.String, server_default='')
    da_resident = sa.Column('da_resident', sa.Integer)
    edu_attainment_school = sa.Column('edu_attainment_school', sa.Integer)
    edu_attainment_vocational = sa.Column('edu_attainment_vocational', sa.Integer)
    edu_attainment_vocational_others = sa.Column('edu_attainment_vocational_others', sa.Integer)
    edu_attainment_vocational_others2 = sa.Column('edu_attainment_vocational_others2', sa.Integer)
    edu_attainment_vocational_others_jobtitle = sa.Column('edu_attainment_vocational_others_jobtitle', sa.String,server_default='')
    edu_familyeducation = sa.Column('edu_familyeducation', sa.String, server_default='')
    edu_familyeducation_duration = sa.Column('edu_familyeducation_duration', sa.Integer)
    edu_familyeducation_others = sa.Column('edu_familyeducation_others', sa.String, server_default='')
    edu_familyeducation_rank = sa.Column('edu_familyeducation_rank', sa.Integer)
    edu_familyeducation_rank_others = sa.Column('edu_familyeducation_rank_others', sa.String, server_default='')
    edu_familyeducation_since = sa.Column('edu_familyeducation_since', sa.Integer)
    edu_familyeducation_employment = sa.Column('edu_familyeducation_employment', sa.Integer)
    edu_familyeducation_employment_starke_netzwerke = sa.Column('edu_familyeducation_employment_starke_netzwerke', sa.Integer)
    edu_familyeducation_employment_starke_netzwerke_refugee = sa.Column('edu_familyeducation_employment_starke_netzwerke_refugee', sa.Integer)
    infomail = sa.Column('infomail', sa.Integer)
    information = sa.Column('information', sa.String,server_default='')
    information_other = sa.Column('information_other', sa.String,server_default='')
    languages_native = sa.Column('languages_native', sa.Integer)
    languages_native_other = sa.Column('languages_native_other', sa.String,server_default='')
    languages_secondary = sa.Column('languages_secondary', sa.Integer)
    languages_secondary_other = sa.Column('languages_secondary_other', sa.String,server_default='')
    languages_tertiary = sa.Column('languages_tertiary', sa.Integer)
    languages_tertiary_other = sa.Column('languages_tertiary_other', sa.String,server_default='')
    lm_employment_category_employed = sa.Column('lm_employment_category_employed', sa.Integer)
    lm_employment_category_inactive = sa.Column('lm_employment_category_inactive', sa.Integer)
    lm_employment_category_inactive_employed = sa.Column('lm_employment_category_inactive_employed', sa.Integer)
    lm_employment_category_lookingforwork = sa.Column('lm_employment_category_lookingforwork', sa.Integer)
    lm_employment_category_selfemployed = sa.Column('lm_employment_category_selfemployed', sa.Integer)
    lm_employment_category_underemployed = sa.Column('lm_employment_category_underemployed', sa.Integer)
    occupation_edu = sa.Column('occupation_edu', sa.String,server_default='')
    occupation_edu_other = sa.Column('occupation_edu_other', sa.String,server_default='')
    partner1 = sa.Column('partner1', sa.Integer)
    partner1_coop = sa.Column('partner1_coop', sa.Integer)
    partner1_other = sa.Column('partner1_other', sa.String,server_default='')
    partner2 = sa.Column('partner2', sa.Integer)
    partner2_coop = sa.Column('partner2_coop', sa.Integer)
    partner2_other = sa.Column('partner2_other', sa.String,server_default='')
    partner3 = sa.Column('partner3', sa.Integer)
    partner3_coop = sa.Column('partner3_coop', sa.Integer)
    partner3_other = sa.Column('partner3_other', sa.String,server_default='')
    person_federal_state = sa.Column('person_federal_state', sa.Integer)
    service_address_city = sa.Column('service_address_city', sa.String, server_default='')
    service_address_housenr = sa.Column('service_address_housenr', sa.String, server_default='')
    service_address_street = sa.Column('service_address_street', sa.String, server_default='')
    service_address_zip_code = sa.Column('service_address_zip_code', sa.String, server_default='')
    service_name = sa.Column('service_name', sa.String, server_default='')
    service_organisation = sa.Column('service_organisation', sa.String, server_default='')
    service_website = sa.Column('service_website', sa.String, server_default='')
    target_audience = sa.Column('target_audience', sa.Integer)
    target_audience_children = sa.Column('target_audience_children', sa.Integer)
    target_audience_other = sa.Column('target_audience_other', sa.String,server_default='')
    works_with_fathers = sa.Column('works_with_fathers', sa.Integer)
    works_with_lowedufamilies = sa.Column('works_with_lowedufamilies', sa.Integer)
    works_with_migrationfamilies = sa.Column('works_with_migrationfamilies', sa.Integer)
    works_with_poor = sa.Column('works_with_poor', sa.Integer)
    works_with_pregnants = sa.Column('works_with_pregnants', sa.Integer)
    works_with_singleparents = sa.Column('works_with_singleparents', sa.Integer)
